Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.merge
Class SetAllowNullToModel

    java.lang.Object
      org.apache.cayenne.merge.AbstractToModelToken
          org.apache.cayenne.merge.SetAllowNullToModel

All Implemented Interfaces:
  MergerToken

    public class SetAllowNullToModel

extends AbstractToModelToken

A `MergerToken` to set the mandatory field of a `DbAttribute` to false

Author:
  halset

Constructor Summary
`SetAllowNullToModel(DbEntity entity, DbAttribute column)`

Method Summary
`MergerToken` | `createReverse(MergerFactory factory)` Create a token with the reverse direction.
`void` | `execute(MergerContext mergerContext)`
`String` | `getTokenName()`
`String` | `getTokenValue()`

Methods inherited from class org.apache.cayenne.merge.AbstractToModelToken
`getDirection, objEntitiesMappedToDbEntity, synchronizeWithObjEntity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetAllowNullToModel

    public SetAllowNullToModel(DbEntity entity,
                               DbAttribute column)

Method Detail

### createReverse

    public MergerToken createReverse(MergerFactory factory)

  Description copied from interface: `MergerToken`
  Create a token with the reverse direction. AddColumn in one direction becomes DropColumn in the other direction.

  Not all tokens are reversible. See `#reversible()`

### execute

    public void execute(MergerContext mergerContext)

### getTokenName

    public String getTokenName()

### getTokenValue

    public String getTokenValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.